Bug 495031 - (CVE-2009-1274) CVE-2009-1274 xine-lib: Quicktime STTS Atom Integer Overflow (TKADV2009-005)
CVE-2009-1274 xine-lib: Quicktime STTS Atom Integer Overflow (TKADV2009-005)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=?,cwe=CWE-190[auto]
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 04:25 EDT by Tomas Hoger
Modified: 2016-03-04 05:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 10:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-04-09 04:25:30 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1274 to the following vulnerability:

Integer overflow in the qt_error parse_trak_atom function in
demuxers/demux_qt.c in xine-lib 1.1.16.2 and earlier allows remote
attackers to execute arbitrary code via a Quicktime movie file with a
large count value in an STTS atom, which triggers a heap-based buffer
overflow.

References:
http://www.trapkit.de/advisories/TKADV2009-005.txt
http://www.securityfocus.com/archive/1/archive/1/502481/100/0/threaded
http://bugs.xine-project.org/show_bug.cgi?id=224
http://sourceforge.net/project/shownotes.php?group_id=9655&release_id=673233
Comment 1 Tomas Hoger 2009-04-09 04:27:33 EDT
Rawhide already has upstream 1.1.16.3.
Comment 2 Kevin Kofler 2009-04-09 04:35:52 EDT
OK, looks like all we need to do is push that out to all branches then. I'm going to build F9 and F10 updates right now.
Comment 3 Fedora Update System 2009-04-09 05:06:05 EDT
xine-lib-1.1.16.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xine-lib-1.1.16.3-1.fc10
Comment 4 Fedora Update System 2009-04-09 05:08:01 EDT
xine-lib-1.1.16.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xine-lib-1.1.16.3-1.fc9
Comment 5 Fedora Update System 2009-04-09 12:06:51 EDT
xine-lib-1.1.16.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:07:37 EDT
xine-lib-1.1.16.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.